org.bouncycastle.asn1.cms

## Class OriginatorPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.OriginatorPublicKey

All Implemented Interfaces:
  DEREncodable

    public class OriginatorPublicKey
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`OriginatorPublicKey(AlgorithmIdentifier algorithm, byte[] publicKey)`
`OriginatorPublicKey(ASN1Sequence seq)`

### Method Summary

Methods
`AlgorithmIdentifier` `getAlgorithm()`
`static OriginatorPublicKey` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an OriginatorPublicKey object from a tagged object.
`static OriginatorPublicKey` `getInstance(java.lang.Object obj)` return an OriginatorPublicKey object from the given object.
`DERBitString` `getPublicKey()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OriginatorPublicKey

    public OriginatorPublicKey(AlgorithmIdentifier algorithm,
                       byte[] publicKey)

#### OriginatorPublicKey

    public OriginatorPublicKey(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static OriginatorPublicKey getInstance(ASN1TaggedObject obj,
                                  boolean explicit)

return an OriginatorPublicKey object from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want.
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

#### getInstance

    public static OriginatorPublicKey getInstance(java.lang.Object obj)

return an OriginatorPublicKey object from the given object.

Parameters:
  `obj` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getAlgorithm

    public AlgorithmIdentifier getAlgorithm()

#### getPublicKey

    public DERBitString getPublicKey()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     OriginatorPublicKey ::= SEQUENCE {
         algorithm AlgorithmIdentifier,
         publicKey BIT STRING
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`